Bug 785871 - wrong build dependency on nscd
wrong build dependency on nscd
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Stephen Gallagher
Depends On:
  Show dependency treegraph
Reported: 2012-01-30 15:01 EST by Stephen Gallagher
Modified: 2012-06-20 07:54 EDT (History)
4 users (show)

See Also:
Fixed In Version: sssd-1.8.0-5.el6
Doc Type: Bug Fix
Doc Text:
No technical note required
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 07:54:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stephen Gallagher 2012-01-30 15:01:47 EST
This bug is created as a clone of upstream ticket:

We currently have a build dependency on nscd in the contributed spec file.
That's because we use a configure script to find nscd binaries locations.

We should keep the configure check and use it to locate binaries. But we shouldn't have ifdefs in the code. The nscd presence is basically a runtime check, as we do not have a hard depdnency on nscd otherwise.

So when configure checks fails we should simply use a reasonable default settable by a configure switch.

This will allow us to eliminate the BuildRequires on nscd
Comment 1 Jenny Galipeau 2012-02-24 10:33:58 EST
verify Sanity Only, does not after RHEL delivered rpms
Comment 2 Jenny Galipeau 2012-02-24 10:34:22 EST
Comment 5 Stephen Gallagher 2012-04-10 12:51:35 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    New Contents:
No technical note required
Comment 6 Amith 2012-05-29 11:08:11 EDT
Verified on sssd-1.8.0-28.el6.
This bug has been verified sanity only and no related regressions detected.
Comment 8 errata-xmlrpc 2012-06-20 07:54:13 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.